.contenido{
display:none;
}

.contenido2{
display:block
}
* {
    box-sizing: border-box; 
    margin: 0;
    padding: 0;
}

body, html {
    width: 100%;  
    max-width: 100%;
    overflow-x: hidden; 
    
}

html, body {
    height: 100%;       
    margin: 0;          
    padding: 0;         
    overflow: hidden;   
}
@media (max-width: 480px) {
 .contenido{
 display:block;
 }
 .contenido2{
 display:none;
 }
}

.col-12.text-center {
}

.col-12.text-center.soyasistente {
  position: absolute;
  top: 10px;
}

.col.align-self-center.flash {
  transform: rotate(-4deg);
  position: absolute;
  top: 74px;
  
}

.text-left.text-white {
}

.text-left.text-white.subtitulo {
  position: absolute;
  top: 41px;
  font-weight: 800;
  font-style: italic;
  font-size: 11.5px;
}

.col.align-self-center.nombreproducto {
  transform: rotate(-4deg);
  position: absolute;
  top: 61px;
  left: -1px;
  z-index: 1;
  min-height:30px;
}

.col.align-self-center.nameeng {
  transform: rotate(-4deg);
  position: absolute;
  top: 133px;
  width: 412px;
  z-index: 1;
  left: -3px;
  
}

.col.productoimagen {
  position: absolute;
  top: 76px;
  z-index: 0;
  padding:0px;
  background-position: center center;
  
  background-repeat: no-repeat;
  
  
  background-size: cover;
}

.imagen_producto {
  
  margin: 0 auto;
  position: absolute;
  top: 25%;
  left: 86px;
}

.col.align-self-center.flash.flashabajo {
  top: 80%;
   min-height:155px;
   width:101%;
   background-color:black !important;
  left:-5px; 
  
}

.col.align-self-center.abajoflash {
  transform: rotate(-4deg);
  position: absolute;
  top: 81%;
   min-height:150px;
   width:101%;
   
    overflow: hidden;  
}

.col.saludo {
  position: absolute;
  top: 86%;
}

.col.saludo {
}

.col.saludo.comprar {
  top: 89%;
}

.col.saludo.politicas {
  top: 92%;
}

#formCheck-1 {
  
  border: 31px solid #4CAF50;
  appearance: none;
  -webkit-appearance: none;
  background-color: white;
  border: 2px solid #4CAF50;
  border-radius: 50%;
  
  border-radius: 50%;
  width: 15px;
  height: 15px;
  cursor: pointer;
  position: relative;
  margin-right: 8px;
  top: 2px;
}

#whatsapplogo {
  position: absolute;
  width: 80px;
  right: 20px;
  top: -55px;
}

#whatsapplogo {
    width: 80px; 
    cursor: pointer;
    animation: pulsar 1s infinite; 
}

@keyframes pulsar {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2); 
    }
    100% {
        transform: scale(1);
    }
}

#precio {
  color: red;
  
  top: 55%;
  left: 32px;
  z-index: 10;
  position: absolute;
  font-size: 100px;
  -webkit-text-stroke: 2px white;
}

#precio2 {
  color: red;
  
  top: 64%;
  left: 70px;
  z-index: 10;
  position: absolute;
  font-size: 100px;
  -webkit-text-stroke: 2px white;
}

.euro {
  left: 97px;
  position: absolute;
  
}

#texto-lateral {
  position: absolute;
  left: 48%;
  transform: rotate(-90deg);
  top: 45%;
  z-index: 10;
}

.nombre_producto {
}

#abajo {
  position: absolute;
  top: 95%;
}


@font-face {
  font-family: 'Geospeed';
  src: url('../font/geospeed.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

.text-border {
  color: white;                 
      -webkit-text-stroke: 2px #25d366;
  font-size: 40px;
  font-weight: bold;
}



#textoDiv {
    position: fixed;
    top: 10px;      
    left: 0;
    width: 100%;
    height: calc(100% - 10px); 
    background-color: rgba(0,0,0,0.95);
    color: white;
    display: none;       
    flex-direction: column;
    overflow-y: auto;   
    padding: 20px;
    box-sizing: border-box;
    z-index: 9999999999;
    transition: all 0.5s ease;
}


#textoDiv.show {
    display: flex;
}

#cerrarBtn {
    position: absolute; 
    top: 15px;
    right: 15px;
    width: 40px;
    height: 40px;
    background-color: red;
    color: white;
    border: none;
    border-radius: 50%; 
    font-size: 20px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}


#textoDiv .contenido {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.rect-dot {
    width: 40px;    
    height: 10px;   
    background-color: white;
    margin: 0 5px;  
    border-radius: 2px; 
}



.input-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
}

#inputCustom {
    font-size: 14px;
    color: white;
    background-color: black;
    border: none;
    padding: 8px 12px;
    width: 40%;
    outline: none;
    border-radius: 5px;
    caret-color: lime; /* cursor real cuando esté enfocado */
}



/* Cursor simulado parpadeante */
.fake-cursor {
    position: absolute;
    left: 12px; /* mismo padding que el input */
    top: 50%;
    transform: translateY(-50%);
    color: lime;
    font-size: 12px;
    animation: blink 1s steps(1) infinite;
    pointer-events: none; /* para que click pase al input */
}

@keyframes blink {
    0%,50%,100% {opacity:1;}
    25%,75% {opacity:0;}
}